Bug 25119 - When paying or writing off a single fee, the account type doesn't display correctly
Summary: When paying or writing off a single fee, the account type doesn't display cor...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-13 00:41 UTC by Katrin Fischer
Modified: 2020-05-08 22:52 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 25119: Fix account type and description for individual writeoffs/payments (4.26 KB, patch)
2020-04-13 01:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25119: Fix account type and description for individual writeoffs/payments (4.32 KB, patch)
2020-04-14 14:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25119: Fix account type and description for individual writeoffs/payments (4.42 KB, patch)
2020-05-01 09:49 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-04-13 00:41:29 UTC
When paying a single fine, the description and account type are not displaying correctly on paycollect.tt in all cases.

In my case it didn't work for RENT_RENEW with a description including the title of the the record.

While it displays nicely in the list of charges, when paying it individually using the pay button in the line, the account type displays the code instead of the description and the description remains empty.
Comment 1 Katrin Fischer 2020-04-13 01:08:30 UTC
Ok, correction: It's not the whole description missing, it's the title part shown in () in the other table.
Comment 2 Katrin Fischer 2020-04-13 01:38:33 UTC
Created attachment 102790 [details] [review]
Bug 25119: Fix account type and description for individual writeoffs/payments

When paying or writing off a single line from the list of pending charges,
the account type displayed the code instead of the description.

And when bug 23483 fixed the display of the description, 2 variables where
missed. This change is only visible when looking at the page source:

<input type="hidden" name="description" id="description" value="" />

With the patch applied, the value will be filled with the description.

To test:
- Create one or more manual invoices of different types
- Try to pay/write off using the buttons within the table
- Verify the account type shows as code, not description
- Apply patch
- Repeat
- Bonus points: Check the source code for the hidden input with description.
Comment 3 Martin Renvoize 2020-04-14 14:22:05 UTC
Created attachment 102933 [details] [review]
Bug 25119: Fix account type and description for individual writeoffs/payments

When paying or writing off a single line from the list of pending charges,
the account type displayed the code instead of the description.

And when bug 23483 fixed the display of the description, 2 variables where
missed. This change is only visible when looking at the page source:

<input type="hidden" name="description" id="description" value="" />

With the patch applied, the value will be filled with the description.

To test:
- Create one or more manual invoices of different types
- Try to pay/write off using the buttons within the table
- Verify the account type shows as code, not description
- Apply patch
- Repeat
- Bonus points: Check the source code for the hidden input with description.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-04-14 14:22:29 UTC
Well spotted, thanks for the fix Katrin.. works as expected.. Signing off
Comment 5 Katrin Fischer 2020-04-14 17:52:47 UTC
Thx Martin! I am puzzled by the 'title' variable in this bit of code still - couldn't get that to work (display like on the summary, behind the description in () ). But that's for another day (and bug).
Comment 6 Marcel de Rooy 2020-05-01 09:49:17 UTC
Created attachment 104075 [details] [review]
Bug 25119: Fix account type and description for individual writeoffs/payments

When paying or writing off a single line from the list of pending charges,
the account type displayed the code instead of the description.

And when bug 23483 fixed the display of the description, 2 variables where
missed. This change is only visible when looking at the page source:

<input type="hidden" name="description" id="description" value="" />

With the patch applied, the value will be filled with the description.

To test:
- Create one or more manual invoices of different types
- Try to pay/write off using the buttons within the table
- Verify the account type shows as code, not description
- Apply patch
- Repeat
- Bonus points: Check the source code for the hidden input with description.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Martin Renvoize 2020-05-01 14:46:04 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-05-08 22:52:38 UTC
does not apply cleanly to 19.11.x branch.  please rebase if needed in 19.11